# Get tenant consumption and quota

Get tenant consumption and quota. See the OpenAPI-defined parameters, request body, and responses below.

Source: https://zild.ai/en-US/docs/api-reference/get-api-Department-tenant-quota

GET `/Department/tenant-quota`

Get tenant consumption and quota. See the OpenAPI-defined parameters, request body, and responses below.

**OpenAPI description:** Retorna o consumo do mês atual em UTC, o limite mensal e a indicação de bloqueio por cota do tenant autenticado. Não altera limites nem registra consumo.

## Authentication

**Authentication required.** Send your user API key in the X-API-Key header.

## Parameters

This operation has no path, query, or header parameters.

## Request body

This operation does not accept a request body.

## Example request



```
curl --request GET \
  --url 'https://api.zild.ai/Department/tenant-quota' \
  --header 'X-API-Key: YOUR_USER_API_KEY'
```



## Responses



<table class="api-params"><thead><tr><th>Status</th><th>Description</th><th>Response body</th></tr></thead><tbody><tr><td><code>200</code></td><td>Situação da cota do tenant.</td><td><code>application/json</code> · <code>UsageQuotaStatus</code></td></tr></tbody></table>

**Example response (200):**



```
{
  "tenantUsedAmount": 0,
  "tenantLimitAmount": 0,
  "departmentUsedAmount": 0,
  "departmentLimitAmount": 0,
  "exceeded": true
}
```



## Data models

`UsageQuotaStatus`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>tenantUsedAmount</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>tenantLimitAmount</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>departmentUsedAmount</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>departmentLimitAmount</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>exceeded</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>
